package edu.neu.daj.editors;

import org.eclipse.jface.text.rules.*;
import org.eclipse.jface.text.*;

public class XMLScanner extends RuleBasedScanner {

	public XMLScanner(ColorManager manager) {
		IToken procInstr =
			new Token(
				new TextAttribute(
					manager.getColor(IXMLColorConstants.DEFAULT)));

		IRule[] rules = new IRule[1];
		//Add rule for processing instructions
		//rules[0] = new SingleLineRule("~", ".", procInstr);
		//rules[1] = new SingleLineRule("=", ".", procInstr);
		//rules[2] = new SingleLineRule(":", ".", procInstr);
		// Add generic whitespace rule.
		rules[0] = new WhitespaceRule(new XMLWhitespaceDetector());

		setRules(rules);
	}
}
